Bug 241834 - Review Request: online-desktop - Desktop built around web sites and online services
Review Request: online-desktop - Desktop built around web sites and online se...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 19:30 EDT by Colin Walters
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 10:04:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2007-05-30 19:30:45 EDT
Spec URL: http://download.mugshot.org/online-desktop/sources/online-desktop.spec
SRPM URL: http://download.mugshot.org/online-desktop/sources/online-desktop-0.2-1.src.rpm
Description: The "online desktop" is a flavor of the GNOME desktop built around web
sites and online services. This package contains a grab-bag of
integration points with various sites and services, such as mailto:
handlers, .desktop files, and so forth.
Comment 1 Matthias Clasen 2007-05-31 01:04:39 EDT
First impressions:

- I question the wisdom of calling the script "godmode", but thats up to you.

- Package can't be noarch if it installs stuff in libdir. If it is pure python,
  it should probably live in datadir 

- Is somebody packaging python-dbus ? I don't have that on my system, and yum
  seems unable to find it. On the other hand, I do have dbus-python...

- Is the split into tons of subpackages beneficial here ? What is gained ?
  Also, it seems to counteract the idea of making online-desktop a meta-package
  that pulls in everything thats needed for GOD. 

- Is there a bigboard dependency missing ? See previous point
Comment 2 Colin Walters 2007-05-31 13:27:31 EDT
godmode: well it will be invoked from a menu entry in the next version, I don't
really see it as the primary interface.

noarch: under discussion

python-dbus: hm, not sure how that typo slipped by; fixed

subpackages: the core package is everything needed, but you can install the
extra packages for the individual sites you use like gmail/google-reader to add
desktop entries for them.  We may actually just punt on the whole desktop file
thing and generate menu entries inside the bigboard panel.

bigboard: fixed
Comment 4 Colin Walters 2007-05-31 22:35:07 EDT
<mclasen> one thing that the online desktop package needs to do is update the
icon cache in %post and %postun  
Comment 5 Matthias Clasen 2007-05-31 23:05:54 EDT
Doing the checklist:

package builds fine in mock
rpmlint has no complaints about any of the packages
package name: ok
spec file name: ok
packaging guidelines:
 - need to update the icon cache in %post and %postun for 
   each subpackage that installs an icon, see 
   http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
 - need to install desktop files with desktop-file-install,
   which will expose that they contain invalid categories,
   like Application; also categories like X-RedHat-... are
   not useful anymore and should be removed
 - I believe the "Online Desktop" menu item should go into
   Preferences > Look and Feel, next to "Desktop Effects"
 - The guidelines generally recommend that subpackages should
   require their mother package. Not sure if that is really
   necessary here; another idea I had is that you could maybe
   reduce the overhead of all those subpackages by having
   a single online-desktop-applications subpackage. To cite
   the README: "This is all in one big tarball since it would 
   just be annoying to have a little tiny tarball for every 
   web app"
 - since the yahoo and picasa icons are not used yet, it
   might be better to %exclude them.

license: ok
license field: ok
license file: ok
spec file language: American English
spec file legibility: excellent
src url: typo, "source" should be "sources"
source tarball: ok
buildability: ok
complete BRs: ok
locales: n/a, no translations --> not a review issue, but 
  we need to tackle that for F8
shared libs: n/a
relocatable: n/a
directory ownership: packages that install icons must require
  hicolor-icon-theme 
duplicate files: ok
file permissions: ok
%clean section: ok
macro use: mixture of %{buildroot} and $RPM_BUILD_ROOT - please pick one
content: ok
large docs: n/a
headers: n/a
static libs: n/a
.pc files: n/a
shared libs again: still ok
subpackage requires base: mentioned above. any reason not to do this ?
.desktop files: need to be installed and made valid, see above
file ownership: ok
%install target: ok
filenames utf8: ok
Comment 6 Colin Walters 2007-06-04 15:17:31 EDT
New files uploaded that address all of these issues I believe:

http://download.mugshot.org/online-desktop/sources/online-desktop-0.2.4.tar.gz
http://download.mugshot.org/online-desktop/sources/online-desktop.spec
Comment 7 Matthias Clasen 2007-06-04 15:38:16 EDT
- You need those %post and %postun for each icon-carrying subpackage :-(
- Please add either PersonalSettings or DesktopSettings (which is the "Look 
  and Feel" submenu) to the online-desktop.desktop categories, to keep
  everything in a submenu there
Comment 9 Matthias Clasen 2007-06-05 15:48:56 EDT
Looking good now.

Approved
Comment 10 Colin Walters 2007-06-05 16:42:38 EDT
New Package CVS Request
=======================
Package Name: online-desktop
Short Description: Desktop built around web sites and online services
Owners: walters@redhat.com
Branches: F7
Comment 11 Tom "spot" Callaway 2007-06-05 17:09:18 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.